SDL_hid_open_path(3)

NAME
SDL_hid_open_path - Open a HID device by its path name.

HEADER FILE
Defined in SDL3/SDL_hidapi.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_hid_device * SDL_hid_open_path(const char *path);

DESCRIPTION
The path name be determined by calling SDL_hid_enumerate (), or a platform-specific path name can be used (eg: /dev/hidraw0 on Linux).

FUNCTION PARAMETERS

path
    The path name of the device to open

RETURN VALUE
Returns a pointer to a SDL_hid_device
 object on success or NULL on failure.

AVAILABILITY
This function is available since SDL 3.0.0.